Skip to main content
GET
/
payments
cURL
curl --request GET \
  --url https://api.example.com/payments
[
  {
    "id": "<string>",
    "gateway": "<string>",
    "gatewayId": "<string>",
    "method": "<string>",
    "nickname": "<string>",
    "message": "<string>",
    "recipientId": "<string>",
    "amount": {
      "minor": 123,
      "major": 123,
      "currency": "<string>"
    },
    "gatewayCredentialId": "<string>",
    "status": "<string>",
    "attachments": [
      "<string>"
    ],
    "actions": [
      {
        "id": "<string>",
        "actionId": "<string>",
        "parameters": {}
      }
    ],
    "confirmation": "<string>",
    "goal": "<string>",
    "authorizationTimestamp": "2023-11-07T05:31:56Z",
    "auction": {
      "isNew": true,
      "item": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://opendonationassistant.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

statuses
string | null

Response

200 - application/json

list 200 response

id
string
required
gateway
string
required
gatewayId
string
required
method
string
required
nickname
string
required
message
string
required
recipientId
string
required
amount
object
required
gatewayCredentialId
string
required
status
string
required
attachments
string[]
required
actions
object[]
required
confirmation
string | null
goal
string | null
authorizationTimestamp
string<date-time> | null
auction
object